### Method

# Gtk Videoset_resource

#### Declaration [src]

    void
    gtk_video_set_resource (
      GtkVideo* self,
      const char* resource_path
    )

#### Description [src]

Makes `self` play the resource at the given `resource_path`.

This is a utility function that calls `gtk_video_set_file()`.

#### Parameters

`resource_path`

  Type: `const char*`

  The resource to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.